Name:		mfiler3
Version:	3.0.8
Release:	1%{?dist}
Summary:	Two pane file manager under UNIX console

Group:		Applications/Editors
License:	GPL+
URL:		http://www.geocities.jp/daisuke530221jp/index3.html
Source0:	http://ab25cq.web.fc2.com/%{name}-%{version}.tgz
Source10:	mfiler3.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Obsoletes but not Provides
Obsoletes:	%{name}-mdnd < 3.0.0

BuildRequires:	cmigemo-devel
BuildRequires:	kitutuki-devel >= 0.9.5
BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel

# Patch0 no longer needed, configure not updated
BuildRequires:	autoconf
# For now...
Requires:	kitutuki >= 0.9.5

%description
Minnu's Filer3 is a two pane file manager under UNIX console.


%prep
%setup -q

%{__sed} -i.strip -e 's| -s -m| -m|' Makefile.in
%{__sed} -i.stamp -e 's|\([ \t][ \t]*install \)|\1 -p |' Makefile.in

# Fix error on creating mfiler.kio, will ask later
%{__sed} -i.sig -e 's|kitutuki -c|kitutuki -rn -c|' Makefile.in

# Patch0 no longer needed, configure not updated
autoconf
sed -i -e '/CFLAGS=/s| -O| %{optflags}|' configure

for f in \
	*.ja.txt
do
	iconv -f EUC-JP -t UTF-8 $f > $f.utf8
	touch -r ${f}{,.utf8}
	mv -f ${f}{.utf8,}
done

# Remove pre-compiled binary...
%{__rm} -f \
	mattr \
	mfiler3

%{__rm} -f *.o

%build
%configure \
	CC="gcc -I%{_includedir}/kitutuki" \
	--sysconfdir=%{_libdir}/%{name} \
	--bindir=%{_libexecdir}/%{name} \
	--with-migemo \
	--with-system-migemodir=%{_datadir}/cmigemo

# kill parallel make
%{__make} -k \
	docdir=%{_defaultdocdir}/%{name}-%{version}/

%install
%{__rm} -rf $RPM_BUILD_ROOT

# make install DESTDIR=%%{buildroot}
# Above does not work...
rm -rf ./Trash
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%{_libdir}/%{name} \
	bindir=$RPM_BUILD_ROOT%{_libexecdir}/%{name} \
	docdir=$(pwd)/Trash/

# Install wrapper script
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -cpm 0755 %SOURCE10 $RPM_BUILD_ROOT%{_bindir}/%{name}

# Move mfiler3.ksh to %%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_libdir}/%{name}/mfiler3.ksh \
	%{buildroot}%{_sysconfdir}/%{name}
ln -sf ../../../%{_sysconfdir}/%{name}/mfiler3.ksh \
	%{buildroot}%{_libdir}/%{name}/


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	GPL
%lang(ja)	%doc	README.ja.txt
%lang(ja)	%doc	usage.ja.txt
%doc	usage.en.txt

%config(noreplace)	%{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libdir}/%{name}/


%changelog
* Mon Mar  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.8-1
- 3.0.8

* Sun Mar  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.7-2.respin1
- 3.0.7 respun (patch0 no longer needed)

* Sat Mar  6 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.7-1
- 3.0.7

* Tue Mar  2 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.6-1
- 3.0.6

* Thu Feb 25 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.5-1
- Update to 3.0.5

* Tue Feb 23 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.4-1
- Update to 3.0.4

* Sat Feb 20 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.3-1
- Update to 3.0.3

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.3-3
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.3-2
- F-11: Mass rebuild

* Sun Nov  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.3-1
- 2.1.3

* Sun Nov  2 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.2-1
- 2.1.2

* Sat Oct 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.1-1
- 2.1.1

* Wed Oct 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-2
- New tarball

* Wed Oct 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-1
- 2.1.0
- All patches in the previous rpm are applied by the upstream

* Sat Sep 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-3
- Better system-wide cmigemo patch

* Sat Sep 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-2
- Fix sparc64 build error

* Fri Sep 26 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-1
- 2.0.8a
- More better upgrade compat patch

* Mon Sep 14 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.7-2
- 2.0.7
- Workaround patch to deal with segv after upgrade

* Thu Aug 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.6-2
- 2.0.6

* Fri Aug  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.5-1
- 2.0.5

* Tue Aug  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.2-1
- 2.0.2

* Tue Jul 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-1
- 2.0.0

* Tue Jul  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.2-1
- 1.1.2

* Sat Jun 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.1-1
- 1.1.1

* Mon Jun 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-1
- 1.0.2
- -Werror-implicit-function-declaration is added in the source tarball

* Sun Jun 22 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.1-1
- 1.0.1

* Thu Jun 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-1
- 1.0.0
- Add -Werror-implicit-function-declaration

* Tue Jun  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.1-1
- Initial packaging
- Make mfiler3 parallel installable with mfiler2

